-- In SQL Server 2008, use the Registered Servers
-- pane to register a server group of more than one server...
-- Right-click on the server group and choose
-- New Query...

SET NOCOUNT ON
go

SELECT SERVERPROPERTY('productversion') AS 'Version'
	, SERVERPROPERTY('edition') AS 'Edition';
go

-- Queries opened against a server group will execute
-- against all servers in that group. Also,
-- each row in the result set will show the server
-- against from which the result came... This can
-- significantly polute the output when only against
-- one server but against multiple it's really helpful. 

-- From the first query above, multi-server admin added TWO columns
-- to the beginning of the result set: Server Name and Login:

--Server Name			Login				Version			Edition
--MIAMI\NAMED			MIAMI\Student		10.0.1075.23	Developer Edition
--MIAMI\SQLEXPRESS		MIAMI\Student		9.00.3042.00	Express Edition
--MIAMI					MIAMI\Student		10.0.1075.23	Developer Edition

-- =========================================================
-- ======================== BEWARE =========================
-- =========================================================

-- The following script will required disk access and I/O against
-- EVERY table on EVERY server to which your server group is 
-- defined. The WHERE clause only limits the results returned
-- even though EVERY table is accessed.

--SELECT OBJECT_NAME(object_id, database_id) AS ObjName
--	, * 
--FROM sys.dm_db_index_physical_stats(null, null, null, null, null)
----WHERE page_count > 1000
--ORDER BY avg_fragmentation_in_percent DESC;
--go
